Package org.codehaus.groovy.control

# Interface CompilationUnit.IPrimaryClassNodeOperation

All Known Implementing Classes:
  `CompilationCustomizer`, `CompilationUnit.PrimaryClassNodeOperation`, `DelegatingCustomizer`, `ImportCustomizer`, `SecureASTCustomizer`, `SourceAwareCustomizer`

Enclosing class:
  CompilationUnit

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface CompilationUnit.IPrimaryClassNodeOperation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
  `default void`
  `doPhaseOperation(CompilationUnit unit)`
  A loop driver for applying operations to all primary ClassNodes in our AST.
  `default boolean`
  `needSortedInput()`

- ## Method Details

  - ### call

    void call(SourceUnit source, GeneratorContext context, ClassNode classNode) throws CompilationFailedException
    Throws:
      `CompilationFailedException`

  - ### doPhaseOperation

    default void doPhaseOperation(CompilationUnit unit) throws CompilationFailedException
    A loop driver for applying operations to all primary ClassNodes in our AST. Automatically skips units that have already been processed through the current phase.
    Throws:
      `CompilationFailedException`

  - ### needSortedInput

    default boolean needSortedInput()